<StackLayout verticalAlignment="center">
<div class="limiter">
    <div class="container-login100" style="background-image: url('../../assets/login/images/bg-01.jpg');">
        <div class="wrap-login100">
            <div class="alert alert-info">
                <strong>Normal User</strong> - U: user P: user<br />
                <strong>Administrator</strong> - U: admin P: admin
            </div>
            <form class="login100-form validate-form" [formGroup]="loginForm" (ngSubmit)="onSubmit()">
                <div class="wrap-input100 validate-input" data-validate = "Enter username">
                    <input class="input100" type="text" formControlName="username" placeholder="Username" [ngClass]="{ 'is-invalid': submitted && f.username.errors }" >
                    <div *ngIf="submitted && f.username.errors" class="invalid-feedback">
                        <div *ngIf="f.username.errors.required">Username is required</div>
                    </div>
                </div>

                <div class="wrap-input100 validate-input" data-validate="Enter password">
                    <input class="input100" type="password" formControlName="password" placeholder="Password"  [ngClass]="{ 'is-invalid': submitted && f.password.errors }" />
                    <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
                        <div *ngIf="f.password.errors.required">Password is required</div>
                    </div>
                </div>

                <div class="contact100-form-checkbox">
                    <input class="input-checkbox100" id="ckb1" type="checkbox" name="remember-me">
                    <label class="label-checkbox100" for="ckb1">
                        Remember me
                    </label>
                </div>

                <div class="container-login100-form-btn">
                    <button [disabled]="loading" class="login100-form-btn">
                        <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                        Login
                    </button>
                </div>
                <div *ngIf="error" class="alert alert-danger mt-3 mb-0">{{error}}</div>
                <div class="text-center p-t-90">
                    <a class="txt1" href="#">
                        Forgot Password?
                    </a>
                </div>
            </form>
        </div>
    </div>
</div>
</StackLayout>
<!--<ActionBar title="{N} JWT Example"></ActionBar>-->
<!--<StackLayout verticalAlignment="center">-->
<!--    <Label text="Sign into the application" class="h2 text-center"></Label>-->
<!--    <StackLayout class="login100-form validate-form">-->
<!--        <StackLayout class="input-field">-->
<!--            <Label class="label" text="Username:"></Label>-->
<!--            <TextField #username class="input100" autocorrect="false" autocapitalizationType="none"></TextField>-->
<!--        </StackLayout>-->
<!--        <StackLayout class="input-field">-->
<!--            <Label class="label" text="Password:"></Label>-->
<!--            <TextField #password class="input100" secure="true" autocorrect="false" autocapitalizationType="none"></TextField>-->
<!--        </StackLayout>-->
<!--        <StackLayout class="input-field">-->
<!--            <Button text="Login" (tap)="login(username.text, password.text)" class="btn btn-primary btn-active w-full"></Button>-->
<!--        </StackLayout>-->
<!--        <div *ngIf="error" class="alert alert-danger mt-3 mb-0">{{error}}</div>-->
<!--        <div class="text-center p-t-90">-->
<!--            <a class="txt1" href="#">-->
<!--                Forgot Password?-->
<!--            </a>-->
<!--        </div>-->
<!--    </StackLayout>-->
<!--    -->
<!--</StackLayout>-->
